#
# spec file for package IBM-4836-135-Driver-Kit-release (Version 1.0)
#
# Copyright (c) 2010 Novell.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# norootforbuild


Name:           IBM-4836-135-Driver-Kit-release
%define         product IBM-4836-135-Driver-Kit
Summary:        IBM Model 4836-135 Driver Kit
Version:        1.0
Release:        1.3
License:        BSD 3-Clause
Group:          System/Fhs

Provides:       %name-%version
Provides:       product()
Provides:       product(IBM-4836-135-Driver-Kit) = %version-%release
Requires:       product_flavor(IBM-4836-135-Driver-Kit)

AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Driver kit for IBM Model 4836-135 systems.


%package cd
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(IBM-4836-135-Driver-Kit) = %version-%release
Requires:       product(SUSE_SLED) = 11.1
Summary:        IBM Model 4836-135 Driver Kit

%description cd
Driver kit for IBM Model 4836-135 systems.

%files cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/IBM-4836-135-Driver-Kit-release-cd


%prep

%build


%install
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/IBM-4836-135-Driver-Kit-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/IBM-4836-135-Driver-Kit-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/IBM-4836-135-Driver-Kit.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="IBM-4836-135-Driver-Kit" schemeversion="0">
  <vendor>Novell</vendor>
  <name>IBM-4836-135-Driver-Kit</name>
  <version>1.0</version>
  <patchlevel>0</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <register>
    <target/>
    <release/>
    <repositories>
      <repository path="obs://build.novell.com/PLDP:IBM:RSS:4836-135/SLE_11_SP1" />
      <repository path="obs://build.novell.com/SUSE:SLE-11/standard" />
    </repositories>
  </register>
  <upgrades />
  <summary>IBM Model 4836-135 Driver Kit</summary>
  <description>Driver kit for IBM Model 4836-135 systems.</description>
  <linguas />
  <urls>
    <url name="releasenotes">http://drivers.suse.com/ibm/rss/IBM-4836-135/sle11-sp1/install-readme.html</url>
    <url name="repository">http://drivers.suse.com/ibm/rss/IBM-4836-135/sle11-sp1/install</url>
  </urls>
  <buildconfig>
    <producttheme>SLED</producttheme>
    <allowresolving>false</allowresolving>
  </buildconfig>
  <installconfig>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="IBM-4836-135-Driver-Kit-release" flag="EQ" version="1.0" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF


%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%changelog
